package main

import (
	"log"
	"watn3y/bloaterbotv3/botIO"
	"watn3y/bloaterbotv3/commands"
	"watn3y/bloaterbotv3/text"
)

func bot() {
	updates, bot := botIO.Authenticate()

	for update := range updates {
		if update.Message == nil {
			continue
		}

		log.Printf("[bot] Recieved Message: [%s] %s", update.Message.From.UserName, update.Message.Text)

		if update.Message.IsCommand() {
			commands.Commands(update, bot)
		} else {
			text.Matcher(update, bot)
		}

	}
}
