package commonlogic

import (
	"reflect"
	"runtime"
	"strings"
)

func ContainsInt64(a []int64, b int64) bool {
	for _, v := range a {
		if v == b {
			return true
		}
	}

	return false
}

func GetPackageName(temp interface{}) string {
	strs := strings.Split((runtime.FuncForPC(reflect.ValueOf(temp).Pointer()).Name()), ".")
	strs = strings.Split(strs[len(strs)-2], "/")
	return strs[len(strs)-1]
}
